## qt6-webengine 6.3.1+dfsg2

=== debian/changelog ===
qt6-webengine (6.3.1+dfsg2-13~bpo11+3) bullseye-backports; urgency=medium

  * Another round of symbols changes. There seems to be some issues with
    complicated substs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 18 Sep 2022 09:47:19 -0300

qt6-webengine (6.3.1+dfsg2-13~bpo11+2) bullseye-backports; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 17 Sep 2022 13:11:52 -0300

qt6-webengine (6.3.1+dfsg2-13~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Bump minimum CMake version in order to get pkg-config's .pc files.
  * Turn system ICU to off, as bullseye does not provies the right icu
    version.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 08 Sep 2022 18:55:46 -0300

qt6-webengine (6.3.1+dfsg2-13) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Refresh remove_catapult_core.patch.

  [ Patrick Franz ]
  * Speed up builds on armhf by allowing more parallelism.

 -- Patrick Franz <deltaone@debian.org>  Thu, 25 Aug 2022 01:30:26 +0200

qt6-webengine (6.3.1+dfsg2-12) unstable; urgency=medium

  * Team upload.
  * Adjust symbols files with buildds' logs.
  * Manually mark some symbols of vtable entries to templates as optional.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 18 Aug 2022 12:27:13 -0300

qt6-webengine (6.3.1+dfsg2-11) unstable; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs (Closes: #1013023).

 -- Patrick Franz <deltaone@debian.org>  Wed, 17 Aug 2022 15:54:21 +0200

qt6-webengine (6.3.1+dfsg2-10) unstable; urgency=medium

  [ Patrick Franz ]
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Wed, 17 Aug 2022 00:24:26 +0200

qt6-webengine (6.3.1+dfsg2-9) unstable; urgency=medium

  [ Patrick Franz ]
  * Update lintian-overrides.
  * Make libqt6webenginecore6 and libqt6webenginewidgets6 depend on the
    source package version instead of the binary package version to
    allow safe binNMUs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 21:33:19 +0200

qt6-webengine (6.3.1+dfsg2-8) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Make libqt6webenginecore6 symbols depend also on libqt6webenginecore6-bin.
    Qt WebEngine is unusable without QtWebEngineProcess, and we cannot make
    the library depend on it because that would mean a circular dependency.

  [ Patrick Franz ]
  * Update symbols from buildlogs (Closes: #1013023).
  * Add sse3-support dependency to libqt6webenginecore6 to ensure that
    x86 CPUs support SSE3 as Chromium 89+ requires it.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:06:02 +0200

qt6-webengine (6.3.1+dfsg2-7) experimental; urgency=medium

  [ Patrick Franz ]
  * Speed up builds on armhf by allowing more parallelism.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Jul 2022 12:54:54 +0200

qt6-webengine (6.3.1+dfsg2-6) experimental; urgency=medium

  [ Patrick Franz ]
  * Adjust patch to fix build failures.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Jul 2022 13:42:39 +0200

qt6-webengine (6.3.1+dfsg2-5) experimental; urgency=medium

  [ Patrick Franz ]
  * Adjust patch to fix build failures.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Jul 2022 18:22:34 +0200

qt6-webengine (6.3.1+dfsg2-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix build failures on 32-bit architectures when trying
    to compress files in the devtools-frontend.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Jul 2022 17:10:43 +0200

qt6-webengine (6.3.1+dfsg2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Reupload with repacked source.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Jul 2022 02:51:44 +0200

qt6-webengine (6.3.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Remove patch for diff_match_patch.js and provide the uncompressed
    original source instead.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Jul 2022 01:26:25 +0200

qt6-webengine (6.3.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update ABI to 6.3.1.
  * Remove ICU patch as it has been applied upstream.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Mon, 18 Jul 2022 19:48:36 +0200

qt6-webengine (6.3.0+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Switch python2 B-D to python3 as Chromium can now be compiled with
    python3 (Closes: #1011197).

 -- Patrick Franz <deltaone@debian.org>  Wed, 29 Jun 2022 22:43:03 +0200

qt6-webengine (6.3.0+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update ABI to 6.3.0.
  * Update d/copyright.
  * Adjust patches.
  * Add python3-html5lib as a B-D.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update lintian-overrides.
  * Update description of qt6-webengine-dev-tools (Closes: #1007951).
  * Remove dependency to qtchooser as it is dead upstream.

 -- Patrick Franz <deltaone@debian.org>  Sat, 18 Jun 2022 05:33:00 +0200

qt6-webengine (6.2.4+dfsg-10) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Remove dependency to qtchooser as it is dead upstream.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 15 Jul 2022 16:47:14 -0300

qt6-webengine (6.2.4+dfsg-9) unstable; urgency=medium

  [ Patrick Franz ]
  * Turn off feature to use system FFmpeg libraries (Closes: #1013427).

 -- Patrick Franz <deltaone@debian.org>  Fri, 24 Jun 2022 10:25:22 +0200

qt6-webengine (6.2.4+dfsg-7~bpo11+3) bullseye-backports; urgency=medium



=== debian/control ===
Source: qt6-webengine
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: binutils (>= 2.32-8~),
               bison,
               cmake (>= 3.24~),
               debhelper-compat (= 13),
               flex,
               gperf,
               libavcodec-dev (>= 7:4.0~),
               libavformat-dev (>= 7:4.0~),
               libavutil-dev (>= 7:4.0~),
               libcups2-dev (>= 1.5.0),
               libdbus-1-dev,
               libegl1-mesa-dev,
               libevent-dev,
               libfontconfig1-dev,
               libgl-dev,
               libgles-dev,
               libglib2.0-dev,
               libglu1-mesa-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libharfbuzz-dev,
               libicu-dev,
               libjpeg-dev,
               libjs-d3,
               libjs-jquery,
               libjs-jquery-tablesorter,
               libjsoncpp-dev,
               libkrb5-dev,
               liblcms2-dev,
               libminizip-dev,
               libnss3-dev,
               libopus-dev (>= 1.3.1),
               libpci-dev,
               libpng-dev,
               libprotobuf-dev,
               libpulse-dev,
               libqt6opengl6-dev (>= 6.3.1+dfsg~),
               libqt6webchannel6-dev (>= 6.3.1~),
               libre2-dev,
               libsnappy-dev,
               libsqlite3-dev,
               libssl-dev,
               libusb-1.0-0-dev,
               libvpx-dev (>= 1.8),
               libvulkan-dev [linux-any],
               libwayland-dev (>= 1.8.0),
               libwebp-dev,
               libx11-xcb-dev,
               libxcb-dri3-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxkbcommon-dev (>= 0.2.0),
               libxkbfile-dev,
               libxml2-dev,
               libxnvctrl-dev,
               libxrandr-dev,
               libxrender-dev,
               libxshmfence-dev,
               libxslt1-dev,
               libxss-dev,
               libxtst-dev,
               mesa-common-dev,
               ninja-build,
               node-pako,
               node-rollup-plugin-terser,
               node-yargs,
               nodejs,
               pkg-config,
               pkg-kde-tools,
               protobuf-compiler,
               python3,
               python3-html5lib,
               qt6-base-dev (>= 6.3.1+dfsg~),
               qt6-base-private-dev (>= 6.3.1+dfsg~),
               qt6-declarative-dev (>= 6.3.1+dfsg~),
               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
               qt6-positioning-dev (>= 6.3.1~),
               qt6-tools-dev (>= 6.3.1~),
               re2c,
               rollup,
               ruby,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webengine
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webengine.git
Rules-Requires-Root: no

Package: libqt6webenginecore6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libqt6webengine6-data (= ${source:Version}),
         sse3-support [amd64 i386],
         ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends}
Provides: qt6-webengine-abi (= 6.3.1)
Description: Qt 6 WebEngine Core library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Core library.

Package: libqt6pdf6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 PDF library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 PDF library.

Package: libqt6pdfquick6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 PDF Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 PDF Quick library.

Package: libqt6pdfwidgets6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 PDF Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 PDF Widgets library.

Package: libqt6webenginecore6-bin
Architecture: amd64 arm64 armhf i386
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 WebEngine Core binaries
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Core binaries.

Package: libqt6webenginequick6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 WebEngine Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Quick library.

Package: libqt6webenginequickdelegatesqml6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 WebEngine Quick Delegates QML library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Quick Delegates QML library.

Package: libqt6webenginewidgets6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libqt6webengine6-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 WebEngine Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Widgets library.

Package: libqt6webengine6-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 Web content engine library - data
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the arch independent parts of Qt WebEngine libraries.

Package: qt6-image-formats-plugin-pdf
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 PDF image format plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package provides an image plugin that allows image-viewing applications
 to view PDF files (the first page of PDF will be shown).

Package: qml6-module-qtquick-pdf
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: qml6-module-qtquick (>= 6.3.1+dfsg~),
         qml6-module-qtquick-controls (>= 6.3.1+dfsg~),
         qml6-module-qtquick-shapes (>= 6.3.1+dfsg~),
         qml6-module-qtquick-templates (>= 6.3.1+dfsg~),
         qml6-module-qtquick-window (>= 6.3.1+dfsg~),
         qt6-image-formats-plugin-pdf,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Quick PDF QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 Quick PDF QML module.

Package: qml6-module-qtwebengine
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 WebEngine QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine QML module for Qt 6 Declarative.

Package: qml6-module-qtwebengine-controlsdelegates
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 WebEngine Controls Delegates QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Controls Delegates QML module
 for Qt 6 Declarative.

Package: qt6-webengine-dev
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Section: libdevel
Depends: libqt6webchannel6-dev,
         libqt6webenginecore6 (= ${binary:Version}),
         libqt6webenginequick6 (= ${binary:Version}),
         libqt6webenginequickdelegatesqml6 (= ${binary:Version}),
         libqt6webenginewidgets6 (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         qt6-positioning-dev,
         qt6-webengine-dev-tools (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: qt6-pdf-dev (= ${binary:Version})
Description: Qt 6 WebEngine library - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the development files needed to build Qt 6 applications
 using Qt WebEngine libraries.

Package: qt6-webengine-private-dev
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Section: libdevel
Depends: qt6-webengine-dev (= ${binary:Version}), ${misc:Depends}
Description: Qt 6 WebEngine library - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

PARALLEL_OPTION = $(filter parallel=%,$(DEB_BUILD_OPTIONS))
ifneq (,$(PARALLEL_OPTION))
	NUMJOBS = $(patsubst parallel=%,%,$(PARALLEL_OPTION))
	export NINJAJOBS = -j$(NUMJOBS)
	# Limit parallelism for armhf
	ifeq (armhf, $(DEB_HOST_ARCH))
		ifeq ($(shell test $(NUMJOBS) -gt 6; echo $$?),0)
			export NINJAFLAGS = -j6
			export NINJAJOBS = -j6
		endif
	endif
endif

# Reduce memory consumption on certain architectures
ifeq (armhf, $(DEB_HOST_ARCH))
export LDFLAGS+=-Wl,--no-keep-memory
endif

ifeq (i386, $(DEB_HOST_ARCH))
export LDFLAGS+=-Wl,--no-keep-memory
endif


%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

touch_files = src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/lighthouse-dt-bundle.js \
	      src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/report-assets/report-generator.js

override_dh_auto_clean:
	dh_auto_clean

	rm -f $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/jstemplate_compiled.js
	for fname in $(touch_files); do \
		rm -f $(CURDIR)/$${fname}; \
	done

# Turn on system FFmpeg libraries for 6.3
override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DFEATURE_webengine_system_icu=OFF \
		-DFEATURE_webengine_system_libevent=ON \
		-DFEATURE_qtpdf_build=ON \
		-DFEATURE_qtpdf_widgets_build=ON \
		-DFEATURE_qtpdf_quick_build=ON \
		-DFEATURE_webengine_proprietary_codecs=ON \
		-DFEATURE_webengine_kerberos=ON

	# Create js files, that are needed for building step for arch and indep builds
	cd $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/; \
		cat util.js jsevalcontext.js jstemplate.js exports.js > jstemplate_compiled.js

	# jQuery
	cp /usr/share/javascript/jquery/jquery.min.js examples/webenginewidgets/contentmanipulation/
	cp /usr/share/javascript/jquery/jquery.min.js src/3rdparty/chromium/third_party/pycoverage/coverage/htmlfiles/
	cp /usr/share/javascript/jquery-tablesorter/jquery.tablesorter.min.js src/3rdparty/chromium/third_party/pycoverage/coverage/htmlfiles/

	set -ex; for fname in $(touch_files); do \
		mkdir -p $(CURDIR)/$$(dirname $${fname}); \
		touch $(CURDIR)/$${fname}; \
	done

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

override_dh_dwz:

## qt6-webengine 6.4.1+dfsg

=== debian/changelog ===
qt6-webengine (6.4.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Adjust build-dependencies.
  * Enable link time optimization (Closes: #1015628).
  * Remove redundant build-dependencies (Closes: #1018256).

 -- Patrick Franz <deltaone@debian.org>  Thu, 15 Dec 2022 20:07:21 +0100

qt6-webengine (6.4.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.
  * Update ABI to 6.4.1.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 01:52:38 +0100

qt6-webengine (6.4.0+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add patch to allow building on i386.

 -- Patrick Franz <deltaone@debian.org>  Sat, 15 Oct 2022 11:06:12 +0200

qt6-webengine (6.4.0+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Bump minimum CMake version in order to ensure we get .pc files.
  * Increase CMake verbosity level.
  * Update ABI to 6.4.0.
  * Update runtime-dependencies.
  * Adjust patches.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Oct 2022 12:35:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
 Build-Depends: binutils (>= 2.32-8~),
                bison,
                cmake (>= 3.24~),
@@ -27,7 +26,6 @@
                libharfbuzz-dev,
                libicu-dev,
                libjpeg-dev,
-               libjs-d3,
                libjs-jquery,
                libjs-jquery-tablesorter,
                libjsoncpp-dev,
@@ -40,8 +38,7 @@
                libpng-dev,
                libprotobuf-dev,
                libpulse-dev,
-               libqt6opengl6-dev (>= 6.3.1+dfsg~),
-               libqt6webchannel6-dev (>= 6.3.1~),
+               libqt6opengl6-dev (>= 6.4.1+dfsg~),
                libre2-dev,
                libsnappy-dev,
                libsqlite3-dev,
@@ -68,23 +65,21 @@
                libxtst-dev,
                mesa-common-dev,
                ninja-build,
-               node-pako,
-               node-rollup-plugin-terser,
-               node-yargs,
                nodejs,
                pkg-config,
                pkg-kde-tools,
                protobuf-compiler,
                python3,
                python3-html5lib,
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
-               qt6-positioning-dev (>= 6.3.1~),
-               qt6-tools-dev (>= 6.3.1~),
+               qt6-base-dev (>= 6.4.1+dfsg~),
+               qt6-base-private-dev (>= 6.4.1+dfsg~),
+               qt6-declarative-dev (>= 6.4.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.4.1+dfsg~),
+               qt6-positioning-dev (>= 6.4.1~),
+               qt6-tools-dev (>= 6.4.1~),
+               qt6-webchannel-dev (>= 6.4.1~),
+               qt6-websockets-dev (>= 6.4.1~),
                re2c,
-               rollup,
                ruby,
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -102,7 +97,7 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qt6-webengine-abi (= 6.3.1)
+Provides: qt6-webengine-abi (= 6.4.1)
 Description: Qt 6 WebEngine Core library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -237,11 +232,11 @@
 Package: qml6-module-qtquick-pdf
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: qml6-module-qtquick (>= 6.3.1+dfsg~),
-         qml6-module-qtquick-controls (>= 6.3.1+dfsg~),
-         qml6-module-qtquick-shapes (>= 6.3.1+dfsg~),
-         qml6-module-qtquick-templates (>= 6.3.1+dfsg~),
-         qml6-module-qtquick-window (>= 6.3.1+dfsg~),
+Depends: qml6-module-qtquick (>= 6.4.1+dfsg~),
+         qml6-module-qtquick-controls (>= 6.4.1+dfsg~),
+         qml6-module-qtquick-shapes (>= 6.4.1+dfsg~),
+         qml6-module-qtquick-templates (>= 6.4.1+dfsg~),
+         qml6-module-qtquick-window (>= 6.4.1+dfsg~),
          qt6-image-formats-plugin-pdf,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -315,3 +310,6 @@
 Depends: qt6-webengine-dev (= ${binary:Version}), ${misc:Depends}
 Description: Qt 6 WebEngine library - private development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ Qt WebEngine provides a Web browser engine that makes it easy to embed content

## qt6-webengine 6.4.2

=== CMakeLists.txt ===
# Require the Qt (not WebEngine) minimum supported CMake version.
# Another WebEngine-specific version check will be done in configure.cmake
# and reported in the configure summary.
cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
include(ExternalProject)
include(cmake/Functions.cmake)
include(src/core/api/Qt6WebEngineCoreMacros.cmake)

project(QtWebEngineDummy)
find_package(Qt6 6.2 CONFIG REQUIRED COMPONENTS BuildInternals Core)

project(QtWebEngine
    VERSION ${Qt6Core_VERSION}
    DESCRIPTION "QtWebEngine and QtPdf modules"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

find_package(Qt6 ${PROJECT_VERSION} CONFIG QUIET OPTIONAL_COMPONENTS
    Gui Widgets Network OpenGL Quick Qml PrintSupport
    WebChannel Positioning QuickControls2 Test QuickWidgets QuickTest WebSockets Designer
    JpegPrivate PngPrivate HarfbuzzPrivate FreetypePrivate ZlibPrivate
)

if(MATRIX_BUILD AND NOT MATRIX_SUBBUILD AND NOT QT_SUPERBUILD)
    add_build(webengine_webrtc OFF)
    add_build(webengine_proprietary_codecs ON)
    add_build(webengine_printing_and_pdf OFF)
    add_build(webengine_extensions OFF)
    add_build(webengine_spellchecker OFF)
    add_build(qtwebengine_build OFF)
    return()
endif()

qt_build_repo()

=== examples/pdf/multipage/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(multipage LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/pdf/multipage")

find_package(Qt6 REQUIRED COMPONENTS Gui Qml)

qt_add_executable(multipage
    main.cpp
    pdfapplication.h
    pdfapplication.cpp
)

if (APPLE AND NOT IOS)
    set(MACOSX_BUNDLE_ICON_FILE multipage.icns)
    set(app_icon_macos "${CMAKE_CURRENT_SOURCE_DIR}/resources/multipage.icns")
    set_source_files_properties(${app_icon_macos} PROPERTIES
           MACOSX_PACKAGE_LOCATION "Resources")
    target_sources(multipage PRIVATE ${app_icon_macos})
    set(MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/resources/macos/Info.plist")
endif()

set_target_properties(multipage PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(multipage PUBLIC
    Qt::Gui
    Qt::Qml
)

set(viewer_resource_files
    "resources/document-open.svg"
    "resources/edit-clear.svg"
    "resources/edit-copy.svg"
    "resources/edit-select-all.svg"
    "resources/go-down-search.svg"
    "resources/go-next-view-page.svg"
    "resources/go-previous-view-page.svg"
    "resources/go-up-search.svg"
    "resources/rotate-left.svg"
    "resources/rotate-right.svg"
    "resources/sidebar-collapse-left.svg"
    "resources/sidebar-expand-left.svg"
    "resources/test.pdf"
    "resources/zoom-fit-best.svg"
    "resources/zoom-fit-width.svg"
    "resources/zoom-in.svg"
    "resources/zoom-original.svg"
    "resources/zoom-out.svg"
    "viewer.qml"
)

qt_add_resources(multipage "viewer"
    PREFIX
        "/pdfviewer"
    FILES
        ${viewer_resource_files}
)

install(TARGETS multipage
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/webenginewidgets/html2pdf/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(html2pdf LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/webenginewidgets/html2pdf")

find_package(Qt6 REQUIRED COMPONENTS Core Gui WebEngineWidgets)

qt_add_executable(html2pdf
    html2pdf.cpp
)

set_target_properties(html2pdf PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(html2pdf PUBLIC
    Qt::Core
    Qt::Gui
    Qt::WebEngineWidgets
)

install(TARGETS html2pdf
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/webenginewidgets/maps/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(maps LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/webenginewidgets/maps")

find_package(Qt6 REQUIRED COMPONENTS Core Gui WebEngineWidgets)

qt_add_executable(maps
    main.cpp
    mainwindow.cpp mainwindow.h
)

set_target_properties(maps PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(maps PUBLIC
    Qt::Core
    Qt::Gui
    Qt::WebEngineWidgets
)

install(TARGETS maps
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/webenginewidgets/notifications/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(notifications LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/webenginewidgets/notifications")

find_package(Qt6 REQUIRED COMPONENTS Core Gui WebEngineWidgets)

qt_add_executable(notifications
    main.cpp
    notificationpopup.h
)

set_target_properties(notifications PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(notifications PUBLIC
    Qt::Core
    Qt::Gui
    Qt::WebEngineWidgets
)

# Resources:
set(data_resource_files
    "data/icon.png"
    "data/index.html"
)

qt_add_resources(notifications "data"
    PREFIX
        "/"
    BASE
        "data"
    FILES
        ${data_resource_files}
)

install(TARGETS notifications
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/webenginewidgets/spellchecker/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(spellchecker LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/webenginewidgets/spellchecker")

find_package(Qt6 REQUIRED COMPONENTS Core Gui WebEngineWidgets)

qt_add_executable(spellchecker
    main.cpp
    webview.cpp webview.h
)

set_target_properties(spellchecker PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(spellchecker PUBLIC
    Qt::Core
    Qt::Gui
    Qt::WebEngineWidgets
)

# Resources:
set(spellchecker_resource_files
    "data/icon.svg"
    "data/index.html"
    "data/style.css"
)

qt_add_resources(spellchecker "spellchecker"
    PREFIX
        "/"
    BASE
        "data"
    FILES
        ${spellchecker_resource_files}
)

install(TARGETS spellchecker
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

file(GLOB_RECURSE dicts
    ABSOLUTE ${CMAKE_CURRENT_LIST_DIR}/dict
    */*.dic
)

foreach(dictFile ${dicts})
    qt_add_webengine_dictionary(
        TARGET spellchecker
        SOURCE "${dictFile}"
        OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    )
endforeach()

=== examples/webenginewidgets/videoplayer/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(videoplayer LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/webenginewidgets/videoplayer")

find_package(Qt6 REQUIRED COMPONENTS Core Gui WebEngineWidgets)

qt_add_executable(videoplayer
    fullscreennotification.cpp fullscreennotification.h
    fullscreenwindow.cpp fullscreenwindow.h
    main.cpp
    mainwindow.cpp mainwindow.h
)

set_target_properties(videoplayer PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(videoplayer PUBLIC
    Qt::Core
    Qt::Gui
    Qt::WebEngineWidgets
)

# Resources:
set(videoplayer_resource_files
    "data/index.html"
)

qt_add_resources(videoplayer "videoplayer"
    PREFIX
        "/"
    BASE
        "data"
    FILES
        ${videoplayer_resource_files}
)

install(TARGETS videoplayer
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/webenginewidgets/webui/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(webui LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/webenginewidgets/webui")

find_package(Qt6 REQUIRED COMPONENTS Core Gui WebEngineWidgets)

qt_add_executable(webui
    main.cpp
    webuihandler.cpp webuihandler.h
)

set_target_properties(webui PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(webui PUBLIC
    Qt::Core
    Qt::Gui
    Qt::WebEngineWidgets
)

# Resources:
set(webui_resource_files
    "about.html"
)

qt_add_resources(webui "webui"
    PREFIX
        "/"
    FILES
        ${webui_resource_files}
)

install(TARGETS webui
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

## qt6-webengine 6.4.2+dfsg-0rc0

=== debian/changelog ===
qt6-webengine (6.4.2+dfsg-0rc0-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 06 Feb 2023 11:50:10 -0300

qt6-webengine (6.4.2+dfsg-0rc0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:59:27 +0100

qt6-webengine (6.4.2+dfsg-0rc0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Change version as ninja causes problems with a tilde in the version.

 -- Patrick Franz <deltaone@debian.org>  Thu, 29 Dec 2022 13:45:52 +0100

qt6-webengine (6.4.2+dfsg~rc1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Update ABI to 6.4.2.
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:29:37 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
+Uploaders: Patrick Franz <deltaone@debian.org>,
+           Lu YaNing <dluyaning@gmail.com>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
 Build-Depends: binutils (>= 2.32-8~),
                bison,
                cmake (>= 3.24~),
@@ -38,7 +40,7 @@
                libpng-dev,
                libprotobuf-dev,
                libpulse-dev,
-               libqt6opengl6-dev (>= 6.4.1+dfsg~),
+               libqt6opengl6-dev (>= 6.4.2+dfsg~),
                libre2-dev,
                libsnappy-dev,
                libsqlite3-dev,
@@ -71,19 +73,19 @@
                protobuf-compiler,
                python3,
                python3-html5lib,
-               qt6-base-dev (>= 6.4.1+dfsg~),
-               qt6-base-private-dev (>= 6.4.1+dfsg~),
-               qt6-declarative-dev (>= 6.4.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.4.1+dfsg~),
-               qt6-positioning-dev (>= 6.4.1~),
-               qt6-tools-dev (>= 6.4.1~),
-               qt6-webchannel-dev (>= 6.4.1~),
-               qt6-websockets-dev (>= 6.4.1~),
+               qt6-base-dev (>= 6.4.2+dfsg~),
+               qt6-base-private-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
+               qt6-positioning-dev (>= 6.4.2~),
+               qt6-tools-dev (>= 6.4.2~),
+               qt6-webchannel-dev (>= 6.4.2~),
+               qt6-websockets-dev (>= 6.4.2~),
                re2c,
                ruby,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webengine
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webengine.git
@@ -97,7 +99,7 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qt6-webengine-abi (= 6.4.1)
+Provides: qt6-webengine-abi (= 6.4.2)
 Description: Qt 6 WebEngine Core library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -232,11 +234,11 @@
 Package: qml6-module-qtquick-pdf
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: qml6-module-qtquick (>= 6.4.1+dfsg~),
-         qml6-module-qtquick-controls (>= 6.4.1+dfsg~),
-         qml6-module-qtquick-shapes (>= 6.4.1+dfsg~),
-         qml6-module-qtquick-templates (>= 6.4.1+dfsg~),
-         qml6-module-qtquick-window (>= 6.4.1+dfsg~),
+Depends: qml6-module-qtquick (>= 6.4.2+dfsg~),
+         qml6-module-qtquick-controls (>= 6.4.2+dfsg~),
+         qml6-module-qtquick-shapes (>= 6.4.2+dfsg~),
+         qml6-module-qtquick-templates (>= 6.4.2+dfsg~),
+         qml6-module-qtquick-window (>= 6.4.2+dfsg~),
          qt6-image-formats-plugin-pdf,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -281,14 +283,14 @@
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Section: libdevel
-Depends: libqt6webchannel6-dev,
-         libqt6webenginecore6 (= ${binary:Version}),
+Depends: libqt6webenginecore6 (= ${binary:Version}),
          libqt6webenginequick6 (= ${binary:Version}),
          libqt6webenginequickdelegatesqml6 (= ${binary:Version}),
          libqt6webenginewidgets6 (= ${binary:Version}),
          qt6-base-dev,
          qt6-declarative-dev,
          qt6-positioning-dev,
+         qt6-webchannel-dev,
          qt6-webengine-dev-tools (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -312,4 +314,3 @@
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- Qt WebEngine provides a Web browser engine that makes it easy to embed content

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/dpkg/architecture.mk
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 
 PARALLEL_OPTION = $(filter parallel=%,$(DEB_BUILD_OPTIONS))
 ifneq (,$(PARALLEL_OPTION))
@@ -44,6 +44,7 @@
 # Turn on system FFmpeg libraries for 6.3
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		--log-level=STATUS \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
 		-DFEATURE_webengine_system_icu=OFF \
 		-DFEATURE_webengine_system_libevent=ON \
